Create a new agent

Required scope: convai:write

Body
required
application/json
  • configuration
    Type: object ·
    required
  • name
    Type: string
    required
Responses
  • application/json
  • 400

    Invalid request body

  • application/json
  • 500

    Internal server error

Request Example for post/agents
curl https://api.simwood.com/convai/v1/agents \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "configuration": {
    "asr": {
      "keywords": [
        ""
      ]
    },
    "turn": {
      "timeout_seconds": 1,
      "silence_timeout_seconds": 1
    },
    "tts": {
      "voice_id": "",
      "settings": {
        "stability": 1,
        "similarity_boost": 1,
        "speed": 1
      }
    },
    "agent": {
      "first_message": "",
      "language": "",
      "prompt": {
        "text": "",
        "temperature": 1,
        "model": ""
      },
      "knowledge_base": [
        {
          "type": "url",
          "source": "",
          "id": ""
        }
      ]
    },
    "conversation": {
      "max_duration_seconds": 1
    },
    "analysis": {
      "data_collection": {
        "additionalProperty": {
          "type": "boolean",
          "description": "",
          "dynamic_variable": "",
          "constant_value": ""
        }
      }
    }
  }
}'
{
  "id": "string",
  "name": "string",
  "configuration": {
    "asr": {
      "keywords": [
        "string"
      ]
    },
    "turn": {
      "timeout_seconds": 1,
      "silence_timeout_seconds": 1
    },
    "tts": {
      "voice_id": "string",
      "settings": {
        "stability": 1,
        "similarity_boost": 1,
        "speed": 1
      }
    },
    "agent": {
      "first_message": "string",
      "language": "string",
      "prompt": {
        "text": "string",
        "temperature": 1,
        "model": "string"
      },
      "knowledge_base": [
        {
          "type": "url",
          "source": "string",
          "id": "string"
        }
      ]
    },
    "conversation": {
      "max_duration_seconds": 1
    },
    "analysis": {
      "data_collection": {
        "additionalProperty": {
          "type": "boolean",
          "description": "string",
          "dynamic_variable": "string",
          "constant_value": "string"
        }
      }
    }
  },
  "created_at": "2026-07-18T10:26:52.852Z",
  "updated_at": "2026-07-18T10:26:52.852Z"
}